.header
  position: fixed
  top: 0
  right: 0
  left: 0
  display: flex
  flex-flow: nowrap row
  align-items: stretch
  justify-content: space-between
  width: 100%
  height: 80px
  &__wrap
    display: flex
    flex-flow: nowrap row
    align-items: center
    justify-content: space-between
    padding: 8px 125px 8px 48px
    width: calc(100% - 42px)
    background-color: rgba(0, 0, 0, 0.5)
    transform: translateX(0)
    transition: transform .5s linear
    &.active
      transform: translateX(-115%)
  &__left
  &__right
    display: flex
    flex-flow: nowrap row
    align-items: center

.logo
  display: inline-block

.btn-show
  display: flex
  align-items: center
  justify-content: center
  width: 40px
  background-color: rgba(0, 0, 0, 0.5)
  z-index: 1
  &.active
    img
      transform: scale(-1)
  img
    display: block
    transition: transform .2s linear, opacity .2s linear
  &:hover
    img
      opacity: .6

.view-instruction
  position: relative
  padding-left: 28px
  margin-right: 40px
  font-family: $IM
  font-size: 16px
  line-height: 19px
  color: #fff
  transition: opacity .2s linear
  &:hover
    opacity: .6
  &:before
    content: ''
    position: absolute
    left: 0
    top: 50%
    transform: translateY(-50%)
    width: 20px
    height: 20px
    background-image: url(./static/images/general/instruction-icon.svg)
    background-repeat: no-repeat
    background-color: transparent
    background-position: center center
    background-size: contain

.language
  position: relative
  padding: 0 20px 0 28px
  transition: opacity .2s linear
  &--mobile
    display: none
  select
    font-family: $IM
    font-size: 16px
    line-height: 19px
    color: #fff
    border: 0
    background-color: transparent
  &:hover
    opacity: .6
  &:after,
  &:before
    content: ''
    position: absolute
    background-repeat: no-repeat
    background-color: transparent
    background-position: center center
    background-size: contain
  &:after
    top: 5px
    right: 2px
    width: 9px
    height: 14px
    transform: rotate(-90deg)
    background-image: url(./static/images/general/arrow.svg)
  &:before
    left: 0
    top: 50%
    transform: translateY(-50%)
    width: 20px
    height: 20px
    background-image: url(./static/images/general/language-icon.svg)